package luj.tools.BookBuyer;

import org.w3c.dom.Element;

import android.util.Log;

public class ShopBuy360Inspector extends ShopInspector
{
	// a tag to CameraPreview log message
	private static final String	TAG	= "ShopBuy360Inspector";
	
	public ShopBuy360Inspector(ShopConfiguration config)
	{
		super(config);
	}

	protected boolean ParseDiscountPriceElement(Element elementParent)
	{
		String strValue = ParseStringFromElement(elementParent, mConfig
				.getDiscountElement());
		if (strValue == null)
		{
			Log.v(TAG + ": ", "can't not found Discount_Price_Element");
			return false;
		}

		try
		{
			Log.v(TAG + ": ", "Discount_Price_Element=" + strValue);
			int pos1 = strValue.indexOf("\\u");
			int pos2 = strValue.indexOf("\"", pos1);
			String strValue2 = strValue.substring(pos1+6, pos2);
			Log.v(TAG, "strValue2=" + strValue2);
			String strValue3 = strValue2.replaceAll("\\D", "");
			float fValue = Float.parseFloat(strValue3);
			mSaleInfor.setPrice((float) (fValue / Math.pow(10, mConfig
					.getDiscountElement().getDigits())));
		}
		catch (Exception e)
		{
			return false;
		}

		return true;
	}
}